package com.mdtexfx.html;

/**
 * Defines behaviour for classes that render an HTML document. This allows
 * the GUI to present an HTML page and allows unit tests to assert that the
 * generated HTML is correct.
 */
public interface HtmlRenderer {

  /**
   * Renders an HTML document in a device-specific fashion.
   *
   * @param html The HTML document to render.
   * @return The HTML document that was rendered, without modification.
   */
  String render( final String html );
}
