package com.mdtexfx.processors.highlighters;

public interface SyntaxHighlighter {
  /**
   * Requests that text editor's document be highlighted, syntactically. By
   * default, the highlighter performs no action.
   *
   * @param began Starting offset into the document for the text to be styled.
   * @param ended Ending offset into the document for the text to be styled.
   * @param style The style class to add to the text within the indexes.
   */
  default void highlight(
      final int began, final int ended, final String style ) {
  }
}
